import 'package:arctium/arctium.dart';
import 'package:flutter_msg/flutter_msg.dart';

class StoreA<Model> extends Store<Model> implements Disposable {
  StoreA(
      {required Model initialModel,
      Cmd<Model> Function(Model initial)? initialCmd,
      List<Stream<Msg<Model>>> Function(Model initial)? subscriptions,
      Cmd<Model> Function(Model current)? onDispose})
      : super(
          initialModel: initialModel,
          initialCmd: initialCmd,
          subscriptions: subscriptions,
          onDispose: onDispose,
        );

  @override
  void onDispose() => dispose();
}
