import 'package:arctium/arctium.dart';
import 'package:arctium_msg/src/logic/store_a.dart';

import 'package:flutter/material.dart';

class StoreInjector<Model> extends Injector<StoreA<Model>> {
  const StoreInjector({
    required StoreA<Model> Function() store,
    required Widget Function(BuildContext context, StoreA<Model> service)
        builder,
  }) : super(
          service: store,
          builder: builder,
        );
}
