import 'package:arctium/arctium.dart';
import 'package:arctium_msg/src/logic/store_a.dart';
import 'package:flutter/material.dart';
import 'package:flutter_msg/flutter_msg.dart';

class Selector<Model, Part> extends StoreBuilder<Model, Part> {
  Selector(
    Part Function(Model model) selector,
    Widget Function(Part part) builder,
  ) : super(
          selector: selector,
          builder: (_, part) => builder(part),
          store: Arctium.instance<StoreA<Model>>(),
        );
}
